## lua-ldoc 1.3.13

=== debian/changelog ===
lua-ldoc (1.3.13-2) unstable; urgency=low

  * Update debian/copyright. 

 -- Julian Wollrath <jwollrath@web.de>  Tue, 02 Jul 2013 12:21:05 +0200

lua-ldoc (1.3.13-1) unstable; urgency=low

  * Initial release. (Closes: #700489) 

 -- Julian Wollrath <jwollrath@web.de>  Wed, 29 May 2013 17:14:06 +0200

=== debian/watch ===
version=3
https://github.com/stevedonovan/LDoc/tags /stevedonovan/LDoc/archive/(.*)\.zip

## lua-ldoc 1.5.0

=== Makefile ===
LUA= $(shell echo `which lua`)
LUA_BINDIR= $(shell echo `dirname $(LUA)`)
LUA_PREFIX= $(shell echo `dirname $(LUA_BINDIR)`)
LUA_SHAREDIR=$(LUA_PREFIX)/share/lua/5.1

_REPODIR != cd "$(shell dirname $(firstword $(MAKEFILE_LIST)))/" && pwd

ldoc:

install: install_parts
	@echo "lua $(LUA_SHAREDIR)/ldoc.lua \$$*" > "$(DESTDIR)$(LUA_BINDIR)/ldoc"
	@chmod -v +x "$(DESTDIR)$(LUA_BINDIR)/ldoc"

install_luajit: install_parts
	@echo "luajit $(LUA_SHAREDIR)/ldoc.lua \$$*" > "$(DESTDIR)$(LUA_BINDIR)/ldoc"
	@chmod -v +x "$(DESTDIR)$(LUA_BINDIR)/ldoc"

install_parts:
	@if [ ! -d "$(DESTDIR)$(LUA_BINDIR)" ]; then \
		mkdir -vp "$(DESTDIR)$(LUA_BINDIR)"; \
	fi
	@mkdir -vp "$(DESTDIR)$(LUA_SHAREDIR)"
	@cp -v ldoc.lua "$(DESTDIR)$(LUA_SHAREDIR)"
	@cp -vr ldoc "$(DESTDIR)$(LUA_SHAREDIR)"

uninstall:
	@-rm -v "$(DESTDIR)$(LUA_SHAREDIR)/ldoc.lua"
	@-rm -vr "$(DESTDIR)$(LUA_SHAREDIR)/ldoc"
	@-rm -v "$(DESTDIR)$(LUA_BINDIR)/ldoc"

test: test-basic test-example test-md test-tables

RUN=&& lua $(_REPODIR)/ldoc.lua . && diff -r public cdocs && echo ok

test-prep:
	find -type d -name public -execdir rsync -av --del {}/ cdocs/ \;

test-basic:
	cd tests $(RUN)

test-example:
	cd tests/example $(RUN)

test-md:
	cd tests/md-test $(RUN)

test-tables:
	cd tests/simple $(RUN)

test-clean: clean-basic clean-example clean-md clean-tables

doc-site:
	lua $(_REPODIR)/ldoc.lua .

CLEAN=&& lua $(_REPODIR)/ldoc.lua . && rd /S /Q cdocs && cp -rf public cdocs

clean-basic:
	cd tests $(CLEAN)

clean-example:
	cd tests && cd example $(CLEAN)

clean-md:
	cd tests && cd md-test $(CLEAN)

clean-tables:
	cd tests && cd simple $(CLEAN)

## lua-ldoc 1.4.0

=== debian/changelog ===
lua-ldoc (1.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Julian Wollrath <jwollrath@web.de>  Sat, 24 Aug 2013 18:40:11 -0400

=== debian/control ===
Source: lua-ldoc
Section: interpreters
Priority: optional
Maintainer: Julian Wollrath <jwollrath@web.de>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9), dh-lua (>= 16), lua-discount, lua-filesystem, lua-penlight, txt2man
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-ldoc.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-ldoc.git
Homepage: http://stevedonovan.github.com/ldoc/

Package: lua-ldoc
Architecture: all
Depends: ${misc:Depends}, lua5.1, lua5.1-filesystem, lua5.1-penlight
Suggests: lua5.1-markdown, lua5.1-discount
XB-Lua-Versions: ${lua:Versions}
Description: LuaDoc-compatible documentation generation system
 LDoc is a LuaDoc-compatible documentation generation system for Lua source
 code. It parses the declaration and documentation comments in a set of Lua
 source files and produces a set of XHTML pages describing the commented
 declarations and functions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua --parallel

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/bin
	cp ldoc.lua debian/tmp/usr/bin/ldoc
	chmod a+x debian/tmp/usr/bin/ldoc
	debian/tmp/usr/bin/ldoc .
	mv out/ html

override_dh_installman:
	txt2man -v "" -r "ldoc" -t "ldoc 1" debian/ldoc.1.txt > debian/ldoc.1
	dh_installman

override_dh_auto_clean:
	rm -rf tests/doc tests/*/doc html debian/ldoc.1
	dh_auto_clean

## lua-ldoc 1.4.2

=== debian/changelog ===
lua-ldoc (1.4.2-1) unstable; urgency=medium

  * New upstream version.
    - Update manpage.
  * Update debian/copyright with missing information. 
  * Bump standards version (no changes needed).

 -- Julian Wollrath <jwollrath@web.de>  Thu, 23 Jan 2014 13:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Julian Wollrath <jwollrath@web.de>
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 9), dh-lua (>= 16), lua-discount, lua-filesystem, lua-penlight, txt2man
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-lua/lua-ldoc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-ldoc.git
 Homepage: http://stevedonovan.github.com/ldoc/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	mkdir -p debian/tmp/usr/bin
 	cp ldoc.lua debian/tmp/usr/bin/ldoc
 	chmod a+x debian/tmp/usr/bin/ldoc
-	debian/tmp/usr/bin/ldoc .
+	cd doc && lua5.1 ../ldoc.lua . && cd ..
 	mv out/ html
 
 override_dh_installman:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/ldoc-$1.tar.gz/ \
  https://github.com/stevedonovan/ldoc/tags .*/v?(\d[\d\.]+)\.tar\.gz

## lua-ldoc 1.4.3

=== debian/changelog ===
lua-ldoc (1.4.3-5+nmu1) unstable; urgency=medium

  * Non-maintainer Upload.
  * Add in support for SOURCE_DATE_EPOCH to override any set or unset
    date.  Patch originally by JojoBoulix <pagth@passoire.fr>.
    (Closes: #820240)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 05 Nov 2016 11:12:35 +0000

lua-ldoc (1.4.3-5) unstable; urgency=medium

  * Fix header used by lua-any adding 5.1 (Closes: #802248) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 01 Nov 2015 10:14:43 +0100

lua-ldoc (1.4.3-4) unstable; urgency=medium

  *  Use lua-any to make it work with both 5.1 and 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 22 Aug 2015 17:52:12 +0200

lua-ldoc (1.4.3-3) unstable; urgency=medium

  * Pass -d to txt2man to make the build reproducible
  * Patch: add support to date overriding via --date to help
    reproducible builds

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 18 Aug 2015 11:06:49 +0200

lua-ldoc (1.4.3-2) unstable; urgency=medium

  * Patch: close missing bracket in template file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 17 Aug 2015 14:40:09 +0200

lua-ldoc (1.4.3-1) unstable; urgency=medium

  * New upstream version:
    - Better C support and other features.
    - Lots of fixes.
  * Update debian/copyright.
  * Bump standards version (no changes needed).
  * Add patch to fix tests.
  * Switch to Lua 5.2.

 -- Julian Wollrath <jwollrath@web.de>  Sat, 04 Jul 2015 13:58:41 +0200

=== debian/control ===
Source: lua-ldoc
Section: interpreters
Priority: optional
Maintainer: Julian Wollrath <jwollrath@web.de>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9), dh-lua (>= 16), lua-discount, lua-filesystem, lua-penlight, txt2man
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-ldoc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-ldoc.git
Homepage: http://stevedonovan.github.com/ldoc/

Package: lua-ldoc
Architecture: all
Depends: ${misc:Depends}, lua-any, lua5.1 | lua5.2, lua-filesystem, lua-penlight
Suggests: lua-markdown, lua-discount
XB-Lua-Versions: ${lua:Versions}
Description: LuaDoc-compatible documentation generation system
 LDoc is a LuaDoc-compatible documentation generation system for Lua source
 code. It parses the declaration and documentation comments in a set of Lua
 source files and produces a set of XHTML pages describing the commented
 declarations and functions.

## lua-ldoc 1.4.6

=== debian/changelog ===
lua-ldoc (1.4.6-1) unstable; urgency=medium

  * New upstream version: (Closes: #878667)
    - drop upstreamed patches
    - update manpage
  * Wrap and sort debian/control
  * Update debian/copyright
  * Bump standards version (no changes neccessary)
  * Add Lua5.3 support (Closes: #880073)

 -- Julian Wollrath <jwollrath@web.de>  Mon, 06 Nov 2017 09:37:55 +0100

=== debian/control ===
Source: lua-ldoc
Section: interpreters
Priority: optional
Maintainer: Julian Wollrath <jwollrath@web.de>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9),
               dh-lua (>= 16),
               lua-discount,
               lua-filesystem,
               lua-penlight,
               txt2man
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-ldoc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-ldoc.git
Homepage: http://stevedonovan.github.com/ldoc/

Package: lua-ldoc
Architecture: all
Depends: lua-any,
         lua-filesystem,
         lua-penlight,
         lua5.1 | lua5.2 | lua5.3,
         ${misc:Depends}
Suggests: lua-discount, lua-markdown
XB-Lua-Versions: ${lua:Versions}
Description: LuaDoc-compatible documentation generation system
 LDoc is a LuaDoc-compatible documentation generation system for Lua source
 code. It parses the declaration and documentation comments in a set of Lua
 source files and produces a set of XHTML pages describing the commented
 declarations and functions.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 	mv out/ html
 
 override_dh_installman:
-	txt2man -v "" -r "ldoc" -t "ldoc 1" debian/ldoc.1.txt > debian/ldoc.1
+	txt2man -d "`dpkg-parsechangelog -S date`"\
+	       	-v "" -r "ldoc" -t "ldoc 1" debian/ldoc.1.txt > debian/ldoc.1
 	dh_installman
 
 override_dh_auto_clean:

## lua-ldoc 1.5.0

=== debian/changelog ===
lua-ldoc (1.5.0-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Fri, 10 Oct 2025 16:03:54 +0200

lua-ldoc (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * remove already applied patches
  * documentation build changes
  * fix debian-rules-uses-unnecessary-dh-argument
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 02 Oct 2023 11:44:44 +0200

lua-ldoc (1.4.6-2) unstable; urgency=medium

  * Add Lua5.4 support
  * Add lua-team as maintainer, add myself as Uploader (Closes: #892474)

 -- Victor Seva <vseva@debian.org>  Mon, 20 Dec 2021 12:15:41 +0100

=== debian/control ===
Source: lua-ldoc
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-lua (>= 16),
 lua-discount,
 lua-filesystem,
 lua-penlight,
 txt2man,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/lua-team/lua-ldoc.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-ldoc
Homepage: https://github.com/lunarmodules/LDoc

Package: lua-ldoc
Architecture: all
Depends:
 lua-any,
 lua-filesystem,
 lua-penlight,
 lua5.1 | lua5.3 | lua5.4,
 ${misc:Depends},
Suggests:
 lua-discount,
 lua-markdown,
XB-Lua-Versions: ${lua:Versions}
Description: LuaDoc-compatible documentation generation system
 LDoc is a LuaDoc-compatible documentation generation system for Lua source
 code. It parses the declaration and documentation comments in a set of Lua
 source files and produces a set of XHTML pages describing the commented
 declarations and functions.

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem=lua --with lua --parallel
+	dh $@ --buildsystem=lua --with lua
 
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/tmp/usr/bin
 	cp ldoc.lua debian/tmp/usr/bin/ldoc
 	chmod a+x debian/tmp/usr/bin/ldoc
-	cd doc && lua5.1 ../ldoc.lua . && cd ..
-	mv out/ html
+	lua5.1 ./ldoc.lua .
+	mv public/ html
 
 override_dh_installman:
 	txt2man -d "`dpkg-parsechangelog -S date`"\

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/LDoc-$1\.tar\.gz/ \
  https://github.com/lunarmodules/LDoc/tags .*/v?(\d\S+)\.tar\.gz
